Skip to content

Withdraw dispute

Request

Withdraw a dispute by setting its status to CLOSED.

You can only withdraw a dispute if canWithdraw is true on the dispute resource.

Security
UserToken
Path
profileIdinteger, (int64)required

Your profile ID.

Example:16605997
disputeIdstringrequired

The dispute ID.

Example:51e2dc60-9e4b-4ff5-b917-b90cc5e1ecfb
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
statusstringrequired

Must be set to CLOSED.

Value:"CLOSED"
Example:"CLOSED"
curl -i -X PUT \
  https://api.wise.com/v3/spend/profiles/16605997/disputes/51e2dc60-9e4b-4ff5-b917-b90cc5e1ecfb/status \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "status": "CLOSED"
  }'

Responses

The updated dispute.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idstring

Unique identifier of the dispute.

Example:"b4eae16c-b3a9-4327-b0bd-6a2ad430d803"
transactionIdinteger, (int64)

Card transaction ID.

Example:476873
profileIdinteger, (int64)

Profile ID.

Example:14547572
reasonstring

Dispute reason code.

Example:"WRONG_AMOUNT"
statusstring

Dispute overall status.

Enum:"ACTIVE""CLOSED"
Example:"CLOSED"
subStatusstring

Dispute detailed status.

Enum:"SUBMITTED""IN_REVIEW""REFUNDED""REJECTED""WITHDRAWN""CONFIRMED""REFUND_IN_PROGRESS""ATTEMPTING_RECOVERY""RECOVERY_UNSUCCESSFUL"
Example:"WITHDRAWN"
statusMessagestring

Explanation for subStatus.

Example:"Withdrawn"
createdAtstring, (date-time)

Time when the dispute was created.

Example:"2024-03-18T03:47:52.493Z"
createdBystring

Creator of the dispute. Currently set to the user ID.

Example:"9867661"
lastUpdatedAtstring, (date-time)

Time when the dispute was last updated.

Example:"2024-03-27T02:30:27.374Z"
canWithdrawboolean

Whether the dispute can be withdrawn.

Example:false
Response
{ "id": "51e2dc60-9e4b-4ff5-b917-b90cc5e1ecfb", "transactionId": 2040, "profileId": 16605997, "reason": "NEVER_ARRIVED", "status": "CLOSED", "subStatus": "WITHDRAWN", "statusMessage": "Withdrawn", "createdAt": "2024-03-08T08:30:14.989Z", "createdBy": "6097861", "lastUpdatedAt": "2024-03-27T13:12:28.390Z", "canWithdraw": false }